AddThis WordPress Plugin 6.2 Error: AddThisAdminUtilities::enqueueNotice

Users are reporting a problem with the AddThis WordPress Plugin v6.2 due to a compatibility issue with PHP 5.3 and earlier. The error would look like:

Catchable fatal error: Argument 2 passed to AddThisAdminUtilities::enqueueNotice() must be an instance of callable, array given, called in /htdocs/wordpress/wp-content/plugins/addthis/backend/AddThisAmp.php on line 97 and defined in /wordpress/wp- content/plugins/addthis/backend/AddThisAdminUtilities.php on line 33

To fix this issue, you’ll need to either:

  1. Upgrade to the latest version of the plugin. It seem the issue has been resolved in v6.3 of the plugin.
  2. If you can’t upgrade or disable the plugin, you’ll need to find a way to delete the plugin from you server. If you have FTP or SSH access, you can find the plugin in the content/plugins directory and simply delete it. That should get your site up and running again.

Hope this helps someone out there.